<?php
/*
Plugin Name: Skills by ModernThemes
Plugin URI: http://modernthemes.net/plugins/skills
Description: This is a plugin by ModernThemes that adds Skills post types and widgets.
Version: 1.1.2
Author: ModernThemes
Author URI: http://modernthemes.net/
License: GPL2
Text Domain: mtskills 
Domain Path: /languages/
*/


require 'plugin-updates/plugin-update-checker.php';  
$MyUpdateChecker = PucFactory::buildUpdateChecker(
'http://modernthemes.net/updates/?action=get_metadata&slug=mt_skills', //Metadata URL.
__FILE__, //Full path to the main plugin file. 
'mt_skills' //Plugin slug 
);


add_action('admin_init', 'mt_skillssettings_flush' ); 

function mt_skillssettings_flush(){ 

		if ( isset( $_POST['mt_skillssettings_options'] ) ) {


			flush_rewrite_rules();
		
		}

}

/* Paths for Files */
$mt_skills_main_file = dirname(__FILE__).'/skills-by-mt.php';
$mt_skills_directory = plugin_dir_url($mt_skills_main_file); 
$mt_skills_path = dirname(__FILE__);

/* CSS and Scripts */
function mt_skills_add_scripts() {
	global $mt_skills_directory, $mt_skills_path; 
	
		wp_enqueue_style('mt-skills-grid', $mt_skills_directory. 'css/grid.css'); 
		wp_enqueue_style('mt-skills-style', $mt_skills_directory. 'css/style.css');  
		
		wp_enqueue_script( 'mt-skills-waypoint', $mt_skills_directory. 'js/inview.js', array('jquery'), false, true ); 
		wp_enqueue_script('mt-skills-script', $mt_skills_directory. 'js/skillbars.js', array('jquery'), false, true );
}
		
add_action('wp_enqueue_scripts', 'mt_skills_add_scripts');


class MT_Skills_Widgets {
	public function __construct() {
		add_action( 'widgets_init', array( $this, 'load' ), 9 );
		add_action( 'widgets_init', array( $this, 'init' ), 10 );
		register_uninstall_hook( __FILE__, array( __CLASS__, 'uninstall' ) );
	}

	public function load() {
		$dir = plugin_dir_path( __FILE__ );

		include_once( $dir . 'inc/widget-mt-skills.php' );
		
	}

	public function init() {
		if ( ! is_blog_installed() ) {
			return;
		}

		load_plugin_textdomain( 'mtskills', false, 'mt_skills/languages' );
		
		register_widget( 'mt_skills' ); 
		
	}

	public function uninstall() {}
}

$mt_skills_widgets = new MT_Skills_Widgets(); 